BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Object System.Collections.IComparer System.Runtime.Serialization.ISerializable

Provides the default implementation of the interface.

To be added.
- Constructor
  To be added.
  To be added.
  To be added.
  1.0.5000.0
  2.0.0.0
- Method
  System.Int32 `` `` The first to compare. The second to compare. To be added.

  Returns the sort order of two instances.

  The return value is a negative number, zero, or a positive number reflecting the sort order of as compared to . For non-zero return values, the exact value returned by this method is unspecified. The following table defines the return value:

  Value
  Condition
  A negative number
  <
  Zero
  ==
  A positive number
  >

  A null reference is considered to compare less than any other non-null object, and equal to any other null reference, independent of the underlying of either object.

  The behavior of this method is as follows:

  If implements the interface, returns .CompareTo().

  If does not implement the interface but does, returns the negated result of .CompareTo().

  If and both are not and do not implement the interface, is thrown.

  Both and are not and do not implement the interface.

  -or-

  Both and are not and are not assignment-compatible types.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Collections.Comparer

  Returns a new instance containing the default implementation of the interface.

  This field is read-only.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Collections.Comparer To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
0 System.Runtime.InteropServices.ComVisible(true)